#### Previous topic

scipy.special.ellipj

#### Next topic

scipy.special.ellipkm1

# scipy.special.ellipk

`scipy.special.``ellipk`(m)

  Complete elliptic integral of the first kind.

  This function is defined as

  \[K(m) = \int_0^{\pi/2} [1 - m \sin(t)^2]^{-1/2} dt\]

  Parameters:

  m : array_like

  > The parameter of the elliptic integral.

  Returns:

  K : array_like

  > Value of the elliptic integral.

  See also

  `ellipkm1`
    Complete elliptic integral of the first kind around m = 1
  `ellipkinc`
    Incomplete elliptic integral of the first kind
  `ellipe`
    Complete elliptic integral of the second kind
  `ellipeinc`
    Incomplete elliptic integral of the second kind

  Notes

  For more precision around point m = 1, use `ellipkm1`.